Bug 60979 - tridentfb will not compile (uses fp)
tridentfb will not compile (uses fp)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
low Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-11 03:08 EST by Chris Ricker
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-25 18:02:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trident patch to update tridentfb support to 0.70 (8.61 KB, patch)
2002-03-16 03:18 EST, Chris Ricker
no flags Details | Diff

  None (edit)
Description Chris Ricker 2002-03-11 03:08:38 EST
The tridentfb driver merged in the kernel source is an early version which
cannot be compiled into the kernel:

cc  -D__KERNEL__ -I/usr/src/linux-2.4.18-0.1/include -Wall -Wstrict-prototypes
-Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common
-Wno-unused -pipe -mpreferred-stack-boundary=2 -march=k6  
-DKBUILD_BASENAME=tridentfb  -c -o tridentfb.o tridentfb.c
tridentfb.c:524:2: #error "Floating point maths. This needs fixing before the
driver is safe"
make[3]: *** [tridentfb.o] Error 1
make[3]: Leaving directory `/usr/src/linux-2.4.18-0.1/drivers/video'

If I remember correctly, a more recent version mentioned on linux-kernel fixes
this problem.
Comment 1 Chris Ricker 2002-03-16 03:18:16 EST
Created attachment 48724 [details]
trident patch to update tridentfb support to 0.70
Comment 2 Chris Ricker 2002-03-16 03:19:28 EST
the attached patch updates tridentfb to the latest version, removing the
floating point issues
Comment 3 Alan Cox 2002-03-25 18:00:33 EST
Yes. We could pull that from the newer -ac tree. However it isnt a module we
enable. There are several ways to configure unusable kernels 8)
Comment 4 Arjan van de Ven 2002-03-25 18:04:47 EST
Fixed in 2.4.18-0.8; to be in rawhide soon

Note You need to log in before you can comment on or make changes to this bug.